Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr
Interface ContextSwitchingExpression

All Known Implementing Classes:
  FilterExpression, IndexedFilterExpression, PathExpression, SlashExpression

    public interface ContextSwitchingExpression

Interface implemented by expressions that switch the context, for example A/B or A[B]

Method Summary
`Expression` | `getControlledExpression()` Get the subexpression that is evaluated in the new context
`Expression` | `getControllingExpression()` Get the subexpression that sets the context item

Method Detail

### getControllingExpression

    Expression getControllingExpression()

  Get the subexpression that sets the context item

  Returns:
    the subexpression that sets the context item, position, and size to each of its items in turn

### getControlledExpression

    Expression getControlledExpression()

  Get the subexpression that is evaluated in the new context

  Returns:
    the subexpression evaluated in the context set by the controlling expression

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.